part of dartcord;

/// A mini guild object for invites.
class InviteGuild extends _SnowflakeEntity {

  /// The guild's name.
  String name;

  /// The guild's splash if any.
  String splash;

  /// A timestamp for when the guild was created.
  DateTime createdAt;

  InviteGuild._new(Client client, Map<String, dynamic> data) : super(client) {
    this.id = data['id'];
    this.name = data['name'];
    this.splash = data['splash_hash'];
    this.createdAt = Util.getDate(this.id);
  }

  /// Returns a string representation of this object.
  @override
  String toString() {
    return this.name;
  }
}
