part of dartcord;

/// Sent when a new message is received.
class MessageCreateEvent {
  /// The new message.
  Message message;

  MessageCreateEvent._new(Client client, Map<String, dynamic> json) {
    if (client.ready) {
      this.message =
          new Message._new(client, json['d'] as Map<String, dynamic>);
      client._events.onMessage.add(this);
    }
  }
}
